﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.readButton.Clicked += readButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 번들 파일 읽기 버튼 클릭시 처리하기 - readButton_Clicked(sender, e)

    /// <summary>
    /// 번들 파일 읽기 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private async void readButton_Clicked(object sender, EventArgs e)
    {
        using Stream stream = await FileSystem.Current.OpenAppPackageFileAsync("AboutAssets.txt");

        using StreamReader reader = new StreamReader(stream);

        string content = await reader.ReadToEndAsync();

        await DisplayAlert("INFORMATION", content.Substring(0, 100), "확인");
    }

    #endregion
}